# Gimp.palettes_get_list

    @accepts(unicode)
    @returns([Gimp.Palette])
    def palettes_get_list(filter):
        # Python wrapper for gimp_palettes_get_list()

Retrieves a list of all of the available palettes

This procedure returns a complete listing of available palettes. Each palette returned can be used as input to [func@Gimp.context_set_palette].

filter

  An optional regular expression used to filter the list.

Returns